%global momorel 5
%global majorver 0.7
%global revision 1785
%global srcname XaraLX

Summary: Open source version of Xara Xtream LX graphics software
Name: xaralx
Version: %{majorver}.r%{revision}
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL and "TEMPORARY LICENSE FOR CDRAW (see LIBS-LICENSE)"
URL:     http://www.xaraxtreme.org/
Source0: http://downloads.xara.com/opensource/%{srcname}-%{majorver}r%{revision}.tar.bz2
#NoSource: 0
Patch0: xaralx-0.5r1251-svnversion.patch
Patch1: XaraLX-0.7r1785-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: wxGTK-unicode >= 2.8.6
BuildRequires: wxGTK-unicode-devel >= 2.8.6
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: perl
BuildRequires: subversion

%description
Xara X has been a commercial shipping Windows product for 10 years (and non-Windows versions go back before that). It's a modern, object orientated design that's highly stable, and has gained hundreds of thousands of users. Our users and customers have produced artwork that is as impressive, if not more impressive, than that produced from any other vector graphics program.

Xara Xtreme on Linux will not only bring a leading-edge graphic tool to the platform, but with community assistance, has the potential to become the world's most powerful, easiest-to-use and simply the world's best graphics program. If we get it right this could bring the Linux desktop into whole sectors of the market that is has not been able to address before.

%prep
%setup -q -n %{srcname}-%{majorver}r%{revision}
%patch0 -p1 -b .version

%patch1 -p1 -b .gcc43~

case "`gcc -dumpversion`" in
4.4.*)
    sed -i -e "s|^#pragma message( __LOCMSG__ \"Removed BaseBar message map\" )|// #pragma message( __LOCMSG__ \"Removed BaseBar message map\" )|" wxOil/basebar2.cpp
;;
esac

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# Templates, Examples
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rf Templates %{buildroot}%{_datadir}/%{name}
cp -rf testfiles %{buildroot}%{_datadir}/%{name}
cp -rf TextDesigns %{buildroot}%{_datadir}/%{name}
cp -rf Designs %{buildroot}%{_datadir}/%{name}

# xaralx
ln -s XaraLX %{buildroot}%{_bindir}/xaralx

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  xaralx.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 xaralx.png %{buildroot}%{_datadir}/pixmaps
install -m 644 xaralx.xpm %{buildroot}%{_datadir}/pixmaps

# install man
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/xaralx.1 %{buildroot}%{_mandir}/man1/xaralx.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING
%doc libs/LIBS-LICENSE LICENSE
%doc doc
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*

%changelog
* Sun Feb 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-5m)
- revise for gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.r1785-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.r1785-3m)
- rebuild against gcc43

* Mon Jan 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.r1785-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Nov 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.r1785-1m)
- update to 0.7r1785 and build with wxGTK-unicode-2.8.6

* Wed Sep 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.r1756-1m)
- update to 0.7r1756

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.r1442-2m)
- remove category Application

* Sat Jul 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.r1442-1m)
- updated to 0.6

* Fri Jun 09 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.r1263-1m)
- initial import to Momonga
